package com.zsc.edu.gateway.modules.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.system.dto.AuthorityDto;
import com.zsc.edu.gateway.modules.system.entity.Authority;

import java.util.Set;

/**
 * @author zhuang
 */
public interface AuthorityService extends IService<Authority> {

    Authority create(AuthorityDto authorityDto);

    Boolean update(AuthorityDto authorityDto,Long id);

    Boolean toggle(Long id);

    Set<Authority> selectAuthoritiesByRoleId(Long roleId);

}
